### Signal

# Ide DiagnosticsManager::changed

#### Declaration

    void
    changed (
      IdeDiagnosticsManager* self,
      gpointer user_data
    )

#### Description

This signal is emitted when the diagnostics have changed for any file managed by the IdeDiagnosticsManager.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32